Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.serialization.impl.jboss
Class JBossSerializationManager

    java.lang.Object
      org.jboss.remoting.serialization.SerializationManager
          org.jboss.remoting.serialization.impl.jboss.JBossSerializationManager

Direct Known Subclasses:
  JBossEncryptionSerializationManager

    public class JBossSerializationManager

extends SerializationManager

Instantiates the Streamings according to JbossObjectOutputStream and JBossObjectInputStream. Also, it uses a different approach for MarshallValues as we don't need to convert objects in bytes. $Id: JBossSerializationManager.java 2387 2007-05-09 08:35:28Z rsigal $

Author:
  Clebert Suconic

Field Summary
`protected static org.jboss.logging.Logger` | `log`

Constructor Summary
`JBossSerializationManager()`

Method Summary
`IMarshalledValue` | `createdMarshalledValue(java.lang.Object source)` Creates a MarshalledValue that does lazy serialization.
`java.io.ObjectInputStream` | `createInput(java.io.InputStream input, java.lang.ClassLoader loader)`
`IMarshalledValue` | `createMarshalledValueForClone(java.lang.Object original)` Used in call by value operations.
`java.io.ObjectOutputStream` | `createOutput(java.io.OutputStream output)`
`java.lang.Object` | `receiveObject(java.io.InputStream inputStream, java.lang.ClassLoader customClassLoader, int version)`
`void` | `sendObject(java.io.ObjectOutputStream oos, java.lang.Object dataObject, int version)`
`java.lang.String` | `toString()`

Methods inherited from class org.jboss.remoting.serialization.SerializationManager
`createRegularInput, receiveObject, sendObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    protected static final org.jboss.logging.Logger log

Constructor Detail

### JBossSerializationManager

    public JBossSerializationManager()

Method Detail

### createInput

    public java.io.ObjectInputStream createInput(java.io.InputStream input,
                                                 java.lang.ClassLoader loader)
                                          throws java.io.IOException

  Specified by:
    `createInput` in class `SerializationManager`
  Throws:
    `java.io.IOException`

### createOutput

    public java.io.ObjectOutputStream createOutput(java.io.OutputStream output)
                                            throws java.io.IOException

  Specified by:
    `createOutput` in class `SerializationManager`
  Throws:
    `java.io.IOException`

### createdMarshalledValue

    public IMarshalledValue createdMarshalledValue(java.lang.Object source)
                                            throws java.io.IOException

  Creates a MarshalledValue that does lazy serialization.

  Specified by:
    `createdMarshalledValue` in class `SerializationManager`
  Throws:
    `java.io.IOException`

### createMarshalledValueForClone

    public IMarshalledValue createMarshalledValueForClone(java.lang.Object original)
                                                   throws java.io.IOException

  Description copied from class: `SerializationManager`
  Used in call by value operations. This will use the most effective way

  Specified by:
    `createMarshalledValueForClone` in class `SerializationManager`
  Throws:
    `java.io.IOException`

### sendObject

    public void sendObject(java.io.ObjectOutputStream oos,
                           java.lang.Object dataObject,
                           int version)
                    throws java.io.IOException

  Specified by:
    `sendObject` in class `SerializationManager`
  Throws:
    `java.io.IOException`

### receiveObject

    public java.lang.Object receiveObject(java.io.InputStream inputStream,
                                          java.lang.ClassLoader customClassLoader,
                                          int version)
                                   throws java.io.IOException,
                                          java.lang.ClassNotFoundException

  Specified by:
    `receiveObject` in class `SerializationManager`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.